Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2883353002: Replace ASSERT with DCHECK_LE/GE/GT/LT/NE as appropriate (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 5 days ago by pilgrim_google
Modified:
1 week, 2 days ago
Reviewers:
haraken, tkent
CC:
darktears, apavlov+blink_chromium.org, blink-reviews, blink-reviews-animation_chromium.org, blink-reviews-frames_chromium.org, blink-reviews-style_chromium.org, caseq+blink_chromium.org, chromium-reviews, dcheng, devtools-reviews_chromium.org, Eric Willigers, kenneth.christiansen, kozyatinskiy+blink_chromium.org, lushnikov+blink_chromium.org, ortuno+watch_chromium.org, panicker+watch_chromium.org, pfeldman+blink_chromium.org, rjwright, scheib+watch_chromium.org, shans, jsbell, Lei Zhang
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Replace ASSERT with DCHECK_LE/GE/GT/LT/NE as appropriate BUG=596760 Review-Url: https://codereview.chromium.org/2883353002 Cr-Commit-Position: refs/heads/master@{#472943} Committed: https://chromium.googlesource.com/chromium/src/+/60ff31cedabb9cde2a0fd70d74f3eaf7be94abda

Patch Set 1 #

Patch Set 2 : rebase #

Patch Set 3 : DCHECK in BluetoothCharacteristicProperties.cpp #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+32 lines, -31 lines) Patch
M third_party/WebKit/Source/build/scripts/templates/StyleBuilder.cpp.tmpl View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/clipboard/DataTransfer.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/frame/DOMTimer.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/frame/FrameViewAutoSizeInfo.cpp View 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/frame/ImageBitmap.cpp View 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/frame/LocalFrame.cpp View 1 2 1 chunk +2 lines, -1 line 1 comment Download
M third_party/WebKit/Source/core/frame/SubresourceIntegrity.cpp View 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/frame/SuspendableTimer.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/inspector/InspectorAnimationAgent.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/inspector/InspectorStyleSheet.cpp View 6 chunks +11 lines, -11 lines 0 comments Download
M third_party/WebKit/Source/core/offscreencanvas/OffscreenCanvas.cpp View 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/page/PrintContext.cpp View 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/page/scrolling/ScrollStateCallback.h View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/timing/PerformanceTiming.cpp View 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/modules/bluetooth/BluetoothCharacteristicProperties.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 27 (16 generated)
pilgrim_google
1 week, 5 days ago (2017-05-16 18:01:09 UTC) #3
haraken
LGTM
1 week, 5 days ago (2017-05-16 20:16:38 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2883353002/1
1 week, 5 days ago (2017-05-16 23:21:01 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_compile_dbg_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_compile_dbg_ng/builds/412973)
1 week, 5 days ago (2017-05-17 01:36:01 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2883353002/20001
1 week, 4 days ago (2017-05-17 13:13:00 UTC) #14
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/429101)
1 week, 4 days ago (2017-05-17 13:48:46 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2883353002/40001
1 week, 3 days ago (2017-05-18 15:33:17 UTC) #19
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/448627)
1 week, 3 days ago (2017-05-18 18:06:31 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2883353002/40001
1 week, 3 days ago (2017-05-18 19:42:43 UTC) #23
commit-bot: I haz the power
Committed patchset #3 (id:40001) as https://chromium.googlesource.com/chromium/src/+/60ff31cedabb9cde2a0fd70d74f3eaf7be94abda
1 week, 3 days ago (2017-05-18 21:54:07 UTC) #26
Lei Zhang
1 week, 2 days ago (2017-05-19 06:31:01 UTC) #27
Message was sent while issue was closed.
https://codereview.chromium.org/2883353002/diff/40001/third_party/WebKit/Sour...
File third_party/WebKit/Source/core/frame/LocalFrame.cpp (right):

https://codereview.chromium.org/2883353002/diff/40001/third_party/WebKit/Sour...
third_party/WebKit/Source/core/frame/LocalFrame.cpp:652:
ASSERT(fabs(original_size.Height()) >
You missed a nearly identical one here. No worries. I'll fix it shortly by
trying to merge the if/else blocks.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06